summaryrefslogtreecommitdiffstats
path: root/.scripts/i3cmds/ducksearch
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-11-05 17:51:24 -0500
committerLuke Smith <luke@lukesmith.xyz>2018-11-05 17:51:24 -0500
commit2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2 (patch)
tree4adda53569104861794d990ef99c85edc1ae2d8c /.scripts/i3cmds/ducksearch
parentcd667e6aa111c86b40b9e3104605953e9b341332 (diff)
downloadeibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.tar.gz
eibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.tar.zst
eibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.zip
scripts sorted
Diffstat (limited to '.scripts/i3cmds/ducksearch')
-rwxr-xr-x.scripts/i3cmds/ducksearch15
1 files changed, 15 insertions, 0 deletions
diff --git a/.scripts/i3cmds/ducksearch b/.scripts/i3cmds/ducksearch
new file mode 100755
index 0000000..13a1e19
--- /dev/null
+++ b/.scripts/i3cmds/ducksearch
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Gives a dmenu prompt to search DuckDuckGo.
+# Without input, will open DuckDuckGo.com.
+# Anything else, it search it.
+
+pgrep -x dmenu && exit
+
+choice=$(echo "🦆" | dmenu -i -p "Search DuckDuckGo:") || exit 1
+
+if [ "$choice" = "🦆" ]; then
+ $BROWSER "https://duckduckgo.com"
+else
+ $BROWSER "https://duckduckgo.com/?q=$choice&t=ffab&atb=v1-1"
+fi